<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <meta name="description" content="" />
    <meta name="author" content="" />

    <title>Register - Coin of farmer</title>

    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>

    <!-- Custom fonts for this template-->
    <link
      href="vendor/fontawesome-free/css/all.min.css"
      rel="stylesheet"
      type="text/css"
    />
    <link
      href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
      rel="stylesheet"
    />

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet" />
    <link href="css/my-coin.css" rel="stylesheet" />
  </head>

  <body class="bg-gradient-primary" ng-app="RegisterExplorer">
    <section class="container">
      <!-- Outer Row -->

      <div class="row main-wrapper justify-content-center align-items-center">
        <div class="col-xl-10 col-lg-12 col-md-9">
          <div class="card o-hidden border-0 shadow-lg my-5">
            <div class="card-body p-0">
              <!-- Nested Row within Card Body -->
              <div class="row">
                <div
                  class="col-lg-6 d-none d-lg-block bg-login-image min-height"
                ></div>
                <div class="col-lg-6 min-height">
                  <div class="p-5">
                    <div class="text-center">
                      <h1 class="h4 text-gray-900 mb-4">Create New Wallet</h1>
                    </div>
                    <div ng-controller="registerController">
                      <form
                        class="user"
                        name="registerForm"
                        novalidate
                        onsubmit="return false;"
                      >
                        <div class="form-group">
                          <input
                            type="password"
                            class="form-control form-control-user"
                            name="password"
                            ng-model="password"
                            placeholder="Password"
                            required
                          />
                        </div>

                        <div class="form-group">
                          <input
                            type="password"
                            class="form-control form-control-user"
                            name="confirmPassword"
                            ng-model="confirmPassword"
                            placeholder="Confirm password"
                            required
                          />
                        </div>


                        <input
                          type="submit"
                          class="btn btn-primary btn-user btn-block"
                          value="Create account"
                          ng-click="register(password, confirmPassword)"
                          ng-disabled="registerForm.password.$invalid || registerForm.confirmPassword.$invalid"
                        />
                 
                      </form>
                      <hr />
                      <div class="text-center">
                        <a class="small" href="login.html">Back To Login!</a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>

    <!-- Bootstrap core JavaScript-->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="js/sb-admin-2.min.js"></script>

    <script>
      const app = angular.module("RegisterExplorer", []);
      app.controller("registerController", function ($scope, $http) {

        function download(filename, text) {
            var element = document.createElement('a');
            element.setAttribute('href', 'data:text/plain;charset=utf-8,' + encodeURIComponent(text));
            element.setAttribute('download', filename);

            element.style.display = 'none';
            document.body.appendChild(element);

            element.click();

            document.body.removeChild(element);
        }

        $scope.register = function (password, confirmPassword) {
          if (password !== confirmPassword) {
            return;
          }

          $http({
            url: "/register",
            method: "POST",
            data: {
              password: password,
            },
          }).then(
            function (response) {
              console.log("success");
              const { privateKey, publicKey } = response.data.newUser;
              const data = JSON.stringify({privateKey, publicKey});          
              download("your-key-store-" +  new Date().toJSON().slice(0,10).replace(/-/g,'/'), data);

              // window.location.href = "./login.html";
            },
            function (response) {
              console.log("failed");
            }
          );
        };
      });
    </script>
  </body>
</html>
